function [ a, b ] = findPeakEdges (X, Y, loc)
% findPeakEdges
%   Usage: [ a, b ] = findPeakEdges (X, Y, loc)
%
% findPeakEdges can be used for finding peak endpoints at a given x-axis
% location 'loc'. The location 'loc' can be given manually or as a mouse
% input using ginput on an axis displaying the given signal as defined by
% (X,Y).
%
% INPUT:
%   X      x-axis values of input signal (independent variable x)
%   Y      y-axis values of input signal (dependent variable y)
%
% OUTPUT: 
%   a      left-side endpoint (x-axis value)
%   b      right-side endpoint (y-axis value)
%
%
% See also GINPUT
%
% copyright 2006 by K. Veropoulos
% verop@dri.edu or k_veropoulos@freemail.gr
