function [ I, x, y ] = integral(x,y,a,b,n,method,ord)
% INTEGRAL
%   Usage: [ I, x, y ] = integral(x,y,a,b,n,method,ord)
%
% INPUT
%       x       the independent variable values (x-axis)
%       y       the function or vector to be evaluated (it can be a string
%               expressing the function or a vector)
%       a       lower x-axis limit
%       b       upper x-axis limit
%       n       number of strips
%       method  the method to be used for integration which could be one of
%               the following:
%               'Trapezium',
%               'Simpsons', or 
%               'Gauss-Legendre' in which case 'ord' can be used to specify
%                          the polynomial order to be used with this method
%
% OUTPUT
%       I       the computed area
%
%
% copyright 2006 by K. Veropoulos
% verop@dri.edu or k_veropoulos@freemail.gr
