function [ matrix, labels, fnames ] = shuffle_persons( data, filenames, face_number, wb_title )
% shuffle images by person (needed when there are multiple images per 
% person in the database to avoid instances of the same person in more 
% than one partitions).
%
% INPUT:
%   data        a {Nx2} cell array containing both the vectorized images 
%               (rowwise; data{:,1}) and their corresponding targets 
%               (class labels; data{:,2}) 
%   filenames   string array containing the filenames in the database
%   face_number an integer array indicating the number of images per ID
%   wb_title    'workbar' title
%
% OUTPUT:
%   matrix      a (MxN) matrix containing the shuffled images columnwise
%               (M features, N samples/images)
%   labels      a (1xN) array containing the shuffled targets of the database
%   fnames      a N-size string array containing the shuffled filenames
%
% copyright 2004-2006 by K. Veropoulos
% verop@unr.edu or k_veropoulos@freemail.gr
