function clickmove(handle,opt,arg)
% function clickmove(handle,opt)
%
% This function allows the user to manipulate the 3-d view of a graph
% by point-click-drag.  The advantage this function has over similar
% ones is its highly intuitive interface, and the fact that the graph is
% displayed as it is pivoted, whereas in Matlab's built-in function it is
% simplified into a box.  In point of fact, I was unaware of the existence
% of Matlab's built-in 3d rotate function when I first wrote this; but I still
% like this one better.
%
% If the user does not provide a handle, the function will
% take the output of the gcf command (the current figure).  If
% there are no current figures, the function will create one.
%
% If the opt argument is empty or zero, the function will assign this 
% function to all the current axis' children as well; if it is non-zero
% the function will be only assigned to the current axis (In other words, 
% clicking on the AXES will invoke the function but clicking on the GRAPHIC
% objects will not)
%
% To turn the function off, enter the syntax
% clickmove(h,'off')
% where h is the figure handle to the axes or figure, or even graphic
% object for which you want to turn off clickmove.
% 
% Made by Brandon Kuczenski
% Updated / finalized 10-10-2001
% brandon_kuczenski@kensingtonlabs.com
