function maximize(h)

% MAXIMIZE the size of a window to fill the entire screen.
%
% maximize(h)
%	resize figure h to fill the screen.
%
%	The function was tested under the following conditions:
%	screen resolutions:
%	[800x600]
%	[1024x768]
%	[1152x864]
%	[1280x960]
%	Matlab version: R12, R13
%	OS:	WinXP
%
% maximize('calibrate')
%	The function was calibrated to handle WinXP standard toolbar (at the
%	bottom of the screen, one icon row) and standard screen (4x3 ratio - not
%	wide). If you are using different settings, the maximized figure size
%	could be wrong.
%	If you find yourself in such a position, fear not. Run the function in
%	'calibrate' mode to calibrate the settings.
%	The application will ask you to maximize a figure window manually and
%	use these settings as a reference from now on.
%
% maximize('forget')
%	forget the calibration settings (delete the file) and use default
%	settings from now on.

% Author:	Yuval Cohen, Be4 Ltd.
%			yuval@gobe4.com

% You are free to use and distribute this code, as long as credit comments
% are preserved.

% Revision History
% 5-Aug-2003	V 1.0
% 16-Aug-2003   V 1.1   Calibration modified
