function pixval2(arg1, arg2)
%PIXVAL2 Display information about image pixels.
%   PIXVAL2 is obsolete and may be removed in a future version of the
%   toolbox. Instead, use IMPIXELINFO for pixel reporting and use 
%   IMDISTLINE for measuring distance.
%
%   PIXVAL2('ON') turns on interactive display of information about image pixels
%   in the current figure. PIXVAL2 installs a black bar at the bottom of the
%   figure which displays the (x,y) coordinates for whatever pixel the
%   cursor is currently over, and the color information for that pixel. If
%   the image is binary or intensity, the color information is a single
%   intensity value. If the image is indexed or RGB, the color information
%   is an RGB triplet. The values displayed are the actual data values,
%   regardless of the class of the image array, or whether the data is in
%   normal image range.
%
%   If you click on the image and hold down the mouse button while you move
%   the cursor, PIXVAL2 also displays the Euclidean distance between the
%   point you clicked on and current cursor location. PIXVAL2 draws a line
%   between these points to indicate the distance being measured. When you
%   release the mouse button, the line and the distance display disappear.
%
%   You can move the display bar by clicking on it and dragging it to
%   another place in the figure.
%
%   PIXVAL2('OFF') turns interactive display off in the current figure. You can
%   also turn off the display by clicking the button on the right side of
%   the display bar.
%
%   PIXVAL2 toggles interactive display on or off in the current figure.
%
%   PIXVAL2(FIG,OPTION) applies the PIXVAL2 command to the figure specified
%   by figure handle FIG. OPTION is string containing 'on' or 'off'.
%
%   PIXVAL2(AX,OPTION) applies the PIXVAL2 command to the figure that contains
%   the axes AX. OPTION is string containing 'on' or 'off'.
%
%   PIXVAL2(HIMG,OPTION) applies the PIXVAL2 command to the figure that contains
%   the image object H. OPTION is string containing 'on' or 'off'.
%  
%   Example
%   -------
%       figure, imshow peppers.png
%       pixval2
%
%   See also IMPIXEL, IMPROFILE.

%   Copyright 1993-2005 The MathWorks, Inc.  
%   $Revision: 1.23.4.5 $  $Date: 2005/06/20 03:07:02 $
