function [ GlobalCMC, ClassCMC ] = CalcCMCs ( D, Gids, Qids, Glabels, Qlabels )
%function CalcCMCs: Calculate Cumulative Match Curves (CMCs)
%   [ GlobalRnk, GlobalCMC, ClassCMC ] =
%                = CalcCMCs ( D, Gids, Qids, Glabels, Qlabels )
%
% INPUT:
%       D:          distance matrix between the Query 'Q' and Gallery 'G' sets. 
%                   D(i,j) corresponds to the distance of Q(:,i) from G(:,j).
%       Gids:       IDs (persons) in 'G'.
%       Qids:       IDs (persons) in 'Q'.
%       Glabels:    labels (class ID) in 'G' (for class-specific
%                   verification - optional).
%       Qlabels:    labels (class ID) in 'Q' (for class-specific
%                   verification - optional).
%
% OUTPUT:
%       GlobalCMC:  average CMC (Cumulative Match Curve) over all classes
%                   against the global gallery.
%       ClassCMC:   individual CMS results for each class in queries against
%                   same class in the gallery (for class-specific
%                   verification only).
%
% K. Veropoulos (k_veropoulos@freemail.gr)
% last updated Sep 22, 2006
