function [a,l]=KCCA(K1,K2,reg_param)
% [a,l]=KCCA(K1,K2,reg_param)
%
% This function is the single eigenproblem solution of KCCA
% Input: K1 - Kernel 1 
%        K2 - Kernel 2
%        reg_param - the regularsation parameter
%
% Output: a - the feature projections [ \alpha; \beta ]
%		  l - the eigenvalues (correlation values)
%
% See also: SVD, SVDS, PRINCOMP, PCAS, PCACOV, PCARES, KPCA, PCATK,
%           CANONCORR, CCA, KCCA2
%
% See also: SVD, SVDS, EIG, EIGS, EIGS2, PRINCOMP, PCAS, PCACOV, PCARES,
%           KPCA1, KPCA2, PCATK, CANONCORR, CCA, KCCA2, KERNEL_MAT
%
%
% Originally written by Alexei Vinokourov
% Modified by David R. Hardoon 23/11/04 drh@ecs.soton.ac.uk
%
