function CMC = RankTable ( D, Gids, Qids )
%function RankTable: Ranking Table
%   CMC = RankTable ( D, Gids, Qids)
%
% INPUT:
%       D:          distance matrix between the Query 'Q' and Gallery 'G' sets. 
%                   D(i,j) corresponds to the distance of Q(:,i) from G(:,j).
%       Gids:       IDs (persons) in 'G'.
%       Qids:       IDs (persons) in 'Q'.
%
% OUTPUT:
%       CMC:        Cumulative Match Curve or Cumulative Match Score (Rank
%                   used for x-axis, Accuracy rate used for y-axis).
%
% K. Veropoulos (k_veropoulos@freemail.gr)
% last updated Sep 22, 2006
