function TestFeat = kcca2(Kts,V,R,c)
% Applies a Kernel CCA transformation on 'Kts' using the 
% eigenvectors 'V' and eigenvalues 'R' returned from 'KCCA'.
%
% INPUT:
%   Kts         kernel matrix of test set
%   V           the principal components (eigenvectors) to use 
%               for the transformation
%   R           the eigenvalues to use for the transformation
%   c           the number of canonical correlation components
%               to use (default all)
%
% OUTPUT:
%   TestFeat    the test set after the KCCA transformation
%
% See also: SVD, SVDS, EIG, EIGS, EIGS2, PRINCOMP, PCAS, PCACOV, PCARES,
%           KPCA1, KPCA2, PCATK, CANONCORR, CCA, KCCA, KERNEL_MAT
%
%
% copyright 2004-2006 by K. Veropoulos
% verop@unr.edu or k_veropoulos@freemail.gr
