function TestFeat = kpca2(Kts,V,L)
% KPCA2 function
%
% Applies a Kernel PCA transformation on 'Kts' using the 
% eigenvectors 'V' and eigenvalues 'L' returned from 'kpca1'.
%
% INPUT:
%   Kts         kernel matrix of test set
%   V           the principal components (eigenvectors) to use 
%               for the transformation
%   L           the eigenvalues to use for the transformation
%
% OUTPUT:
%   TestFeat    the test set after the KPCA transformation
%
% See also: SVD, SVDS, EIG, EIGS, EIGS2, PRINCOMP, PCAS, PCACOV, PCARES,
%           KPCA1, PCATK, CANONCORR, CCA, KCCA, KCCA2, KERNEL_MAT
%
%
% copyright 2004-2006 by K. Veropoulos
% verop@unr.edu or k_veropoulos@freemail.gr
