% Generic Library (genlib)
%==========================================================================
% KV-Lib Toolbox for MATLAB 6.x 
% Version 2.5, Dec 2007
%==========================================================================
%
% This toolbox is based on generic Image Manipulation 
% and Pattern Recognition functions
% 
% For more details, please contact:
%  Dr K. Veropoulos, k_veropoulos@freemail.gr
%
%--------------------------------------------------------------------------
% Generic Library (genlib):
%--------------------------------------------------------------------------
%
%  datanorm & datanorm2 - Data Normalization functions that can be used for
%                         normalizing a (MxN) data set 'inp_mat' (M
%                         features, N samples) to [zero mean, unit
%                         variance] and for centering the cluster to the
%                         center 'mean_mat' of the data.
%
%  dirr                 - Lists all files in the current directory and sub
%                         directories recursively.
%
%  f2cell               - function to read a file and store each line as an
%                         element in a cell array.
%
%  fica                 - Find string In Character Array.
%
%  getIDpos             - function to get the substring that represents the
%                         subject's ID within a filename (useful for
%                         databases).
%
%  hmsetime             - elapsed time functions (similar to MATLAB's
%                         'etime') with a more user friendly output of
%                         days, hours, minutes, seconds 
%
%  loadascii            - function to load an ascii file and save the
%                         contents in a matrix (this function is only
%                         needed for loading ascii files in stand-alone
%                         mode since the built-in 'load' and 'save'
%                         functions do not support ascii format).
%
%  saveascii            - function to save the contents of a matrix in an
%                         ascii file (this function is only needed for
%                         saving ascii files in stand-alone mode since the
%                         built-in 'load' and 'save' functions do not
%                         support ascii format).
%
%  mat2vec              - converts a matrix to a vector.
%
%  vec2mat              - converts a vector to matrix.
%
%  sa_exist_ff          - function to replace the 'exist' function for
%                         checking the existence of files and folders in
%                         standalone mode, since the 'exist' function is
%                         not supported by the mcc compiler. The input
%                         argument 'var' should be in a string format.
%
%  shuffle2             - randomizes the order of rows or columns of a 2d
%                         matrix.
%
%  str2mat2             - converts one row string array into multi-row
%                         string array.
%
%  str2num2             - converts a string matrix to numeric array.
%
%  repstr               - replicates and tiles a character or string (works
%                         in a similar way to 'repmat').
%
%  showinfowindow 		- creates a small dialog window which displays a 
%								  user-defined message. Like MATLAB's msgbox but 
%								  without an OK button.
%
%  timebar              - a Matlab waitbar compatible replacement that is
%                         faster and more functional.
%
%  workbar              - graphically monitors progress of calculations.
%
%==========================================================================
% Author: 
% K. Veropoulos (verop@unr.edu, k_veropoulos@freemail.gr)
% for the Computer Science & Engineering Dept. of the 
% University of Nevada Reno (UNR).
%
