function TFDBMS
%--------------------------------------------------------------------------
% Text File Database Management System (TFDBMS)
% =============================================
% 
% FUNCTIONS
%
% Select data file:     select the data file (create/change) in which all
%                       the samples will be stored. 
%
% Add source files:     select a file that contains all samples and a file
%                       that contains all corresponding labels of those
%                       samples 
%
% Remove samples from database:
%                       remove classes or a randomly selected user-defined
%                       number of samples from the database.  
%
% Merge classes in database:
%                       merge a number of classes in the database.
%
% Database Info:        show information about the samples present in
%                       database. Samples must have the same size.
%
% Delete Database:      remove database from the current directory
%
% Cross-Validation:     generate k-fold cross-validation sets; the
%                       resulting data file will have the original data 
%                       split into k-folds from which k pairs of training
%                       and validation sets will be generated based on
%                       user-defined criteria.
%
% Info:                 show information about this software
%
% Exit:                 quit program
%
%--------------------------------------------------------------------------
% NOTE: All resulting matlab files contain data matrices with vector samples
%       represented in columns.
%--------------------------------------------------------------------------
%
% Author: K. Veropoulos, <verop@unr.edu> 
% last updated Jan 13, 2006
