function [ norm_mat, mean_mat ] = datanorm( inp_mat, calc_zscores )
% DATANORM, Data Normalization
%
% Usage: [ norm_mat, mean_mat ] = datanorm( inp_mat, calc_zscores )
%
% datanorm can be used for normalizing a (MxN) data set 'inp_mat'
% (M features, N samples) to [zero mean, unit variance] and for 
% centering the cluster to the center 'mean_mat' of the data. 
% It then returns the normalized matrix 'norm_mat' and the sample 
% mean 'mean_mat' that can be used with the datanorm2 function.
%
% INPUT: inp_mat        the data matrix to be normalized
%        calc_zscores   a flag that determines whether to normalize 
%                       the data to [zero mean, unit variance] or not
%                       Value '0' - do not normalize (essentially 
%                                   datanorm will just center the data
%                       Value '1' - normalize (default)
%
% OUTPUT: norm_mat      the data matrix after normalization
%         mean_mat      the data mean vector
%
% See also: DATANORM2, ZSCORE
%
%
% copyright 2004-2006 by K. Veropoulos
% verop@unr.edu or k_veropoulos@freemail.gr
