function norm_mat = datanorm2( inp_mat, mean_mat, calc_zscores )
% DATANORM2, (secondary) Data Normalization
%
% Usage: norm_mat = datanorm2( inp_mat, mean_mat, calc_zscores )
%
% datanorm2 can be used for normalizing a data set 'inp_mat' 
% to [zero mean, unit variance] and for centering the cluster 
% to the center 'mean_mat'. It then returns the normalized 
% matrix 'norm_mat'.
%
% INPUT: inp_mat        the data matrix to be normalized
%        mean_mat       the target center to which the data will be
%                       centered
%        calc_zscores   a flag that determines whether to normalize 
%                       the data to [zero mean, unit variance] or not
%                       Value '0' - do not normalize (essentially 
%                                   datanorm will just center the data
%                       Value '1' - normalize (default)
%
% OUTPUT: norm_mat      the data matrix after normalization
%
% See also: DATANORM, ZSCORE
%
%
% copyright 2004-2006 by K. Veropoulos
% verop@unr.edu or k_veropoulos@freemail.gr
