% Image Manipulation Library (imglib)
%==========================================================================
% KV-Lib Toolbox for MATLAB 6.x 
% Version 2.5, Dec 2007
%==========================================================================
%
% This toolbox is based on generic Image Manipulation 
% and Pattern Recognition functions
% 
% For more details, please contact:
%  Dr K. Veropoulos, k_veropoulos@freemail.gr
%
%--------------------------------------------------------------------------
% Image Manipulation Library (imglib):
%--------------------------------------------------------------------------
%
%  inorm	  - normalizes an image based on a template of given points (at
%               least 3). The resulting image is normalized in terms
%               rotation, translation and scale.
%
%  iread      - read image from graphics file (simplified code based on
%               Matlab's 'imread' function).
%
%  iresize    - resizes an image of any type using the specified
%               interpolation method (simplified code based on Matlab's
%               'imresize' function).
%
%  vec2img    - converts a vector to an image of the given image class and
%               dimensions.
%
%  IDBMS      - (Image DataBase Management System): GUI application to help
%               with building data structures of images that can be later
%               used as inputs to other functions of this library (see help
%               for more details).
%
%  Itrain     - (Image-based Training): A GUI-based training demo tool for
%               pattern recognition that makes use of a number of functions
%               from genlib, PRlib and FERETlib.
%
%  Iclassify  - (Image-based Classification): A GUI-based classification
%               demo tool for pattern recognition that makes use of a
%               number of functions from genlib, PRlib and FERETlib.
%  _                                                                     _
% |                                                                       |
% | NOTE: both Itrain and Iclassify work with files generated using IDBMS |
% |       or files that have the same data structure as IDBMS data files. |
% |_                                                                     _|
%
%==========================================================================
% Author: 
% K. Veropoulos (verop@unr.edu, k_veropoulos@freemail.gr)
% for the Computer Science & Engineering Dept. of the 
% University of Nevada Reno (UNR).
%
