function out_img = inorm ( inp_img, orgtempl, transtempl, method )
% Normalize the input image inp_mat to out_mat based on the transformation
% of the original template orgtempl to transtempl
%
% Usage: out_img = inorm ( inp_img, orgtempl, transtempl, method )
%
% INPUT:
%       inp_img    - original image (M x N)
%       orgtempl   - template matrix of original points to be transformed
%                    (given as ordered coordinate pairs)
%       transtempl - template matrix of transformed points (given as
%                    ordered coordinate pairs)
%       method     - method to be used for 2-D interpolation.
%    				 Available methods are:
% 
% 					1 or 'nearest' - nearest neighbor interpolation
% 					2 or 'linear'  - bilinear interpolation (default)
% 					3 or 'cubic'   - bicubic interpolation
% 					4 or 'spline'  - spline interpolation
%
% OUTPUT:
%       out_img    - output (transformed) image
%
% copyright 2004-2006 by K. Veropoulos
% verop@unr.edu, k_veropoulos@freemail.gr
